%global dlrn_nvr os-collect-config-13.1.0-1.20220727232946.3a7d05a
%global dlrn 1
%define upstream_version 13.1.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:			os-collect-config
Version: 13.1.0
Release: 1.20220727232946.3a7d05a%{?dist}
Summary:		Collect and cache metadata running hooks on changes

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0: os-collect-config-13.1.0-1.20220727232946.3a7d05a.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=3a7d05a9e8dd97a0e309d19a037a92c097b91f05

Source1:		os-collect-config.service
Source2:		os-collect-config.conf
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:		noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:		systemd
Requires:		os-refresh-config

BuildRequires:		python3-setuptools
BuildRequires:		python3-devel
BuildRequires:		python3-pbr

Requires:		python3-pbr
Requires:		python3-eventlet
Requires:		python3-heatclient >= 1.10.0
Requires:		python3-zaqarclient >= 1.0.0
Requires:		python3-keystoneclient >= 1:3.8.0
Requires:		python3-requests
Requires:		python3-iso8601
Requires:		python3-six
Requires:		python3-oslo-config >= 2:5.2.0
Requires:		python3-oslo-log >= 3.36.0

Requires:		python3-anyjson
Requires:		python3-dogpile-cache
Requires:		python3-lxml
%{?systemd_requires}

%description
Service to collect openstack heat metadata.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif

%setup -q -n %{name}-%{upstream_version}

%build
%{py3_build}

%install
%{py3_install}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/os-collect-config.service
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/os-collect-config.conf
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}/local-data

# Delete tests
rm -fr %{buildroot}%{python3_sitelib}/os_collect_config/tests

%post
%systemd_post os-collect-config.service

%preun
%systemd_preun os-collect-config.service

%postun
%systemd_postun os-collect-config.service

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-collect-config
%config(noreplace) %attr(-, root, root) %{_sysconfdir}/os-collect-config.conf
%{_unitdir}/os-collect-config.service
%{_sharedstatedir}/%{name}/local-data
%{python3_sitelib}/os_collect_config*

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.0-1.20220727232946.3a7d05a
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.0-0.20220712133540.3a7d05a
- Update patches

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.2-0.20210929001830.3a7d05a
- Update patches
- Drop six
- Drop unused requirements

* Sat Sep 11 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.2-0.20210912011915.5ea6a47
- Update patches
- setup.cfg: Replace dashes with underscores

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.2-0.20210714222924.a309852
- Update patches
- Use py3 as the default runtime for tox

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.1-0.20210528004659.224af05
- Update patches

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Nov 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump pyflakes

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of mock

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop python version constraints for sphinx

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tls proxy support for Zaqar
- Stop testing python2.7

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Ussuri jobs

* Sat Oct 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Sync Sphinx requirement


